// This class can be used to group a collection of web components
// into a web form that can then be included in a web page.
public class WebForm extends WebComponent {

    // The URL that should be inlucded in the HTTP request generated
    // when a user clicks on any button included in the form
    private String action;
    
    // The collection of web components that should be included in
    // the form
    protected WebPane contentPane = new WebPane();
    
    // Create a new form associated with the URL provided as a parameter
    public WebForm( String action ) {
        this.action = action;
    }
    
    // Add a new web component to the form
    public void add( WebComponent c ) {
        contentPane.add( c );
    }
    
    // Return the HTML required to describe the form and all of its components
    public String toString() {
        return "<form action=\"" + action + "\">" +
                contentPane.toString() +
                "</form>";
    }
}