import java.util.*;

// A class that will hold a collection of web components and
// return their representation as HTML text when its toString
// method is invoked
public class WebPane extends WebComponent {

    // A collection of components
    private Vector<WebComponent> components = new Vector<WebComponent>();
    
    // Add a new component to the collection
    public void add(WebComponent wc) {
        components.add(wc);   
    }
    
    // Concatenate the HTML text returned by all of the components in
    // the collection and return the result
    public String toString() {
        StringBuffer b = new StringBuffer();
        ListIterator<WebComponent> it = components.listIterator();
        while (it.hasNext()) {
            b.append(it.next().toString());
        }
        return b.toString();
    }
}