// A class that will generate the HTML to describe a section of text
// displayed as preformatted text in an HTML document.
public class WebTextArea extends WebComponent {

    // The text to be displayed
    private String text;
    
    // Create a new, empty WebTextArea
    public WebTextArea(  ) {
        text = "";
    }
    
    // Create a WebTextArea that will display the text passed as a
    // parameter
    public WebTextArea( String origText ) {
        text = origText;
    }
    
    // Change the text displayed by this WebTextArea
    public void setText( String newText ) {
        text = newText;
    }

    // Return the HTML that describes the text to be displayed
    public String toString() {
        return "\n<pre>" + encode(text) + "</pre>\n";   
    }
    
    // Replace any symbols in a piece of text that might look like parts
    // of HTML tags with HTML entities that will ensure that a web
    // browser displays those symbols correctly.
    private String encode( String s ) {
        s = s.replace("&", "&amp;");
        s = s.replace("<", "&lt;");
        s = s.replace(">", "&gt;");
        return s;
    }
    
}